Bug 204654 - Information->Device information->more->Remaining time is unclear
Information->Device information->more->Remaining time is unclear
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: Desktop
Depends On:
  Show dependency treegraph
Reported: 2006-08-30 12:50 EDT by Suzanne Hillman
Modified: 2013-03-05 22:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 12:30:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2006-08-30 12:50:06 EDT
Description of problem:
Information->Device information->more->Remaining time is unclear. Does this mean
remaining time to finish charging, remaining time on the battery if the AC is
unplugged? Something else?

Version-Release number of selected component (if applicable):
Comment 1 Richard Hughes 2006-08-30 13:45:37 EDT
Good point. At the moment it's "until charged" when on ac, and "until critical"
when on battery. We probably need to split this up and do clever things:

17 minutes remaining until charged
2 hours, 30 minutes power if you removed the AC power cord

Got any ideas?
Comment 2 Suzanne Hillman 2006-08-30 14:35:36 EDT
If you mean ideas on how to do this, no. But yes, I agree that both bits of
information would be useful ones to have, although the 'until charged' one only
applies with AC.

So perhaps give both if AC is plugged in. If not, only give the amount of time
remaining on the battery?

Also unsure if 'time remaining until charged' still makes sense if the batter is
Comment 3 cje 2007-03-27 15:04:39 EDT
i think it makes sense for both values to be there all the time.

when running on batteries the 'until charged' value is an estimate which
increases as the batteries drain.

it means "how long it would take to fully charge if you plugged in the AC now"!
 (it's the mirror of "how long the batteries would last if you un-plugged the AC

anyway, definitely agree it's confusing as it is because you've got one line
plotting two different values, swapping between them as the AC state changes.

as for how - either as two lines or two graphs.  you could possibly have both
lines on one graph and indicate when the value is more 'guestimate' than
estimate by modifying the width/opacity/dot-pattern of the line.  but i wouldn't
want to increase the visual complexity of this nice, tidy app.

maybe it's best just to remove the 'until charged' completely and leave it to
the panel icon tooltip to display that info.  hmm.
Comment 4 cje 2007-04-10 13:29:54 EDT
okay, i realise you're talking about hal (right?) and i'm talking about the
power history graphs of those values but i think what i've said still makes
sense.  :-)

if anyone feels like tidying up the graphs, just disconnecting the line when the
state changes would make the graphs make a lot more sense IMO.  hopefully people
looking at the raw hal values can figure things out for themselves.
Comment 5 cje 2007-11-12 11:37:49 EST
on F8 now the power history graphs simply don't display the 'time until fully
charged' - which is good.  the tool-tip on the notification icon displays both
values (properly labelled).

so i reckon this can be closed?
Comment 6 David Zeuthen 2007-11-12 12:30:30 EST
Sure, just close it; no need to ask.

Note You need to log in before you can comment on or make changes to this bug.